<?php
namespace Revenue;

use Revenue\Revenue_Checkout_Blocks_Integration;

/**
 * Revenue Campaign
 *
 * @hooked on init
 */


/**
 * Checkout Block Compatibility.
 *
 * @version 1.0.0
 */
class Revenue_Blocks_Compatibility {

	/**
	 * Initialize.
	 */
	public static function init() {

		if ( ! did_action( 'woocommerce_blocks_loaded' ) ) {
			return;
		}

		require_once REVENUE_PATH . 'includes/blocks/class-revenue-checkout-block-integration.php';

		add_action(
			'woocommerce_blocks_cart_block_registration',
			function( $registry ) {

				$registry->register( Revenue_Checkout_Blocks_Integration::instance() );
			}
		);

		add_action(
			'woocommerce_blocks_mini-cart_block_registration',
			function( $registry ) {
				$registry->register( Revenue_Checkout_Blocks_Integration::instance() );
			}
		);

		add_action(
			'woocommerce_blocks_checkout_block_registration',
			function( $registry ) {
				$registry->register( Revenue_Checkout_Blocks_Integration::instance() );
			}
		);

	}
}

Revenue_Blocks_Compatibility::init();
